QCAT - Task #1778
User Story # 1777 (Closed): Migrate case data

Indicators: new configuration version
06 Feb 2018 13:59 - Sebastian Manger

Status: Closed Start date: 06 Feb 2018
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 20.00 hours
Target version: Carbon Benefit Spent time: 20.00 hours
Resolution:

Description

Notes

¢ |ndicators for compilers ('My SLM data'): "a new version of the configuration is available".

¢ When editing a published version, a dialogue appears:

* |ndicates that this is a new version

¢ Points to documentation of changes. This documentation built dynamically based on the configuration.
e Open question: is this dialogue 'one time', or always visible? This is a user guidance question, I'd suggest to make it
always available. Problem: the 'review info box' (see screenshot) is already now rather messy.

Estimate break down:

e New page for 'configuration release notes' (params: configuration type) display data defined by #1781: 8h
e Screen design: indicator for 'alert' when creating a new version if the configuration has changed; link in review box to 'release

notes': 6h
e Tests: 6h

History

#1 - 06 Feb 2018 14:00 - Sebastian Manger

- File review box.png added

#2 - 06 Feb 2018 17:43 - Sebastian Manger
- Description updated

- Estimated time set to 16.00 h

#3 - 08 Feb 2018 10:36 - Lukas Vonlanthen

- translation missing: en.field_tag list set to Required

#4 - 08 Feb 2018 10:40 - Lukas Vonlanthen
- Description updated

- Estimated time changed from 16.00 h to 20.00 h

#5 - 27 Feb 2018 09:52 - Kurt Gerber

- Status changed from New to Accepted

#6 - 27 Feb 2018 09:54 - Kurt Gerber
- Priority changed from Normal to High

#7 - 12 Apr 2018 08:42 - Sebastian Manger

- Status changed from Accepted to In Progress

25 Mar 2025

1/2



http://redmine.cde.unibe.ch/issues/1781

#8 - 04 Jul 2018 09:57 - Lukas Vonlanthen

- Status changed from In Progress to Closed

Files

review box.png 95.8 KB 06 Feb 2018 Sebastian Manger
